var builder = WebApplication.CreateBuilder(args);
var app = builder.Build();

app.MapGet("/", context => {
    var userAgents = context.Request.Headers["User-Agent"];
    Console.WriteLine(userAgents);
    if (userAgents.ToString().Contains("FITConnectDotNetSDK"))
        context.Response.StatusCode = 200;
    else
        context.Response.StatusCode = 400;
    return context.Response.CompleteAsync();
});

app.Run("http://localhost:5050");
